VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsAddARoutine"
Attribute VB_Creatable = True
Attribute VB_Exposed = False

Sub AfterClick()
    '**************************************
    '* Author : Michael J. Cox
    '* Date : 6/13/97
    '* Email : mikec247@ix.netcom.com
    '*
    '* Desc:
    '*   This module is called when the menu item
    '*   is clicked.
    '*
    '*   This routine gets the default Author's
    '*   name, Max comment box length and load the
    '*   main form.
    '***********************************
    
    'Get the default user name
    If gAuthorName$ = "" Then gAuthorName$ = GetSetting("NewRouts", "UserConf", "AuthorName", "")
    If gMaxLen% < 1 Then gMaxLen% = Val(GetSetting("NewRouts", "UserConf", "MaxLen", "60"))
    
    gIsFunction = False
    
    frmNewRouts.optSub = True
    frmNewRouts.Caption = "Add a Sub Procedure"
    frmNewRouts.cboRetType.Enabled = gIsFunction
    
    'Populate screen with default data
    frmNewRouts.txtAuthor.Text = gAuthorName$
    frmNewRouts.txtMaxLen.Text = Str$(gMaxLen%)
    
    frmNewRouts.Show vbModal
End Sub
